Package org.eclipse.birt.report.model.api.elements.structures

# Class DimensionCondition

java.lang.Object
org.eclipse.birt.report.model.core.Structure
org.eclipse.birt.report.model.core.PropertyStructure
org.eclipse.birt.report.model.api.elements.structures.DimensionCondition

All Implemented Interfaces:
  `Cloneable`, `IStructure`, `org.eclipse.birt.report.model.core.IPropertySet`

public class DimensionCondition extends org.eclipse.birt.report.model.core.PropertyStructure
The DimensionCondition structure defines a list of join conditions between cube and hierarchy.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DIMENSION_CONDITION_STRUCT`
Name of this structure.
`static final String`
`HIERARCHY_MEMBER`
Member name of the cached result set(output columns).
`static final String`
`JOIN_CONDITIONS_MEMBER`
The property name of the data set parameters definitions.

### Fields inherited from class org.eclipse.birt.report.model.core.PropertyStructure

`propValues`

## Constructor Summary

Constructors
Constructor
Description
`DimensionCondition()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getStructName()`
Returns the name of the structure definition.
`protected StructureHandle`
`handle(SimpleValueHandle valueHandle, int index)`
Creates the specific handle of this structure.

### Methods inherited from class org.eclipse.birt.report.model.core.PropertyStructure

`clone, getIntrinsicProperty, getLocalProperty, getLocalProperty, setIntrinsicProperty, setProperty`

### Methods inherited from class org.eclipse.birt.report.model.core.Structure

`checkStringMember, copy, equals, getCompatibleValue, getContext, getDefn, getElement, getExpressionProperty, getHandle, getHandle, getMemberDefn, getObjectDefn, getProperty, getProperty, getReferencableProperty, getStringProperty, isDesignTime, isReferencable, setContext, setExpressionProperty, setProperty, setupContext, updateReference, validate`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DIMENSION_CONDITION_STRUCT

public static final String DIMENSION_CONDITION_STRUCT
Name of this structure. Matches the definition in the meta-data dictionary.

See Also:
  - Constant Field Values

### JOIN_CONDITIONS_MEMBER

public static final String JOIN_CONDITIONS_MEMBER
The property name of the data set parameters definitions.

See Also:
  - Constant Field Values

### HIERARCHY_MEMBER

public static final String HIERARCHY_MEMBER
Member name of the cached result set(output columns).

See Also:
  - Constant Field Values

## Constructor Details

### DimensionCondition

public DimensionCondition()

## Method Details

### handle

protected StructureHandle handle(SimpleValueHandle valueHandle, int index)
Description copied from class: `org.eclipse.birt.report.model.core.Structure`
Creates the specific handle of this structure. This handle is always created.

Specified by:
  `handle` in class `org.eclipse.birt.report.model.core.Structure`
Parameters:
  `valueHandle` - the value handle of this structure list property this structure is in
  `index` - the position of this structure in structure list
Returns:
  the handle of this structure.

### getStructName

public String getStructName()
Description copied from interface: `IStructure`
Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

Returns:
  the internal name of the structure a defined in the meta-data dictionary.